LINUX.ORG.RU

Ответ на: комментарий от Horleus

Нормальность относительна. Как по мне, нормального 3D там не было с рождения.

Лучше текущего состояния - нет, не получишь. Чипу уже 15 лет.

Можно, конечно, обновить ядро и mesa, но едва ли это что-то даст в твоём случае.

А что не работает?

Ford_Focus ★★★★★ ()
Последнее исправление: Ford_Focus (всего исправлений: 1)
Ответ на: комментарий от Ford_Focus

Ну к примеру, я поставил в стиме ГТА 3(Да-да, я покупаю старые игры в стиме), она работает с помощью стим протон 5, всё шикарно, нету даже визуальных артефактов, но из-за херовых дров низкий фпс

Horleus ()
Ответ на: комментарий от Horleus

X1100 не вписывается даже в минимальные требования даже на Windows, т.к. она точно слабее дискретной GeForce3

При запуске на Linux через Proton системные требования едва ли будут ниже, чем у нативного порта под макось - https://support.rockstargames.com/articles/200147266/Macintosh-system-requirements-and-specifications-for-Grand-Theft-Auto-III-Vice-City-and-San-Andreas

Мб на Win XP что-нибудь да получится, на Linux вообще без вариантов и дело даже не в драйверах Radeon - проца тебе тоже не хватит

Ford_Focus ★★★★★ ()
Последнее исправление: Ford_Focus (всего исправлений: 1)
Ответ на: комментарий от Ford_Focus

проблема вайна не только в проце, а в том что он небоскрёб из костылей и не использует видеокарту «эффективно», как делал бы хотя бы нативный опенжоель

anonymous ()

Это OGL драйвер r300, его развитие практически прекратилось. Но согласно этой новости, там сильно пострадала производительность между версиями mesa 11 и 19, проблемное место исправили, так что убедись что у тебя хотя бы меса 19.2, скорее всего там этот фикс есть, т.к. новость от июля.

Кинь суда результат:

glxinfo | grep OpenGL

Только пожалуйста используй lorecode или markdown.

anonymous ()
Ответ на: комментарий от anonymous

OpenGL vendor string: X.Org R300 Project OpenGL renderer string: ATI RC410 OpenGL version string: 2.1 Mesa 19.2.8 OpenGL shading language version string: 1.20 OpenGL extensions: OpenGL ES profile version string: OpenGL ES 2.0 Mesa 19.2.8 OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16 OpenGL ES profile extensions:

Horleus ()

Xubuntu 18

Если это 18.04, а не 18.10, то это производная Ubuntu LTS которая получает обновления иксов и ядра, только для этого нужно поставить Hardware Enablement пакеты:

sudo apt install --install-recommends linux-generic-hwe-18.04 xserver-xorg-hwe-18.04

Не знаю какая там версия mesa, но надеюсь что хотя бы 19.2, если так то это должно улучшить производительность.

anonymous ()

Если тебя не устраивает открытый драйвер, то последняя версия закрытого драйвера выходила для Ubuntu 12.10. Это был Catalyst 13.1-legacy. Лучше использовать Ubuntu 12.04, потому что это LTS-релиз (с долгосрочной поддержкой). Сможешь даже пользоваться современным актуальным браузером.

ZenitharChampion ★★★★★ ()

Поиграй в классику на свободных движках. Такое твоя видюха потянет.

Примеры:

OpenXRay (сталкер зов Припяти)

OpenMW ( tes morrowind)

OpenJK ( star wars Jedi academy )

Xash 3d ( халва )

anonymous ()
Ответ на: комментарий от anonymous

классику на свободных движках

когда проприетарщик сделал 100% работы и 100% популярности игре, а ты приходишь и пользуешься его работой, чё-то там втирая про опенсорс…

anonymous ()
Ответ на: комментарий от SR_team

Для Radeon HD 1xxx-2xxx последней версией драйвера является 9.3. Последние версии системных компонентов, на которых работает, Linux 2.6.27 и X-Server 1.6. Вероятно, можно пропатчить до 2.6.32, но ссылка на патчи, которые я нашёл, уже не открывается.

Для Radeon HD 3xxx-4xxx последний драйвер - 13.1-legacy. Точные версии ядра и X-Server не помню. Знаю, что в Ubuntu 13.04 можно установить «иксы» из 12.10, и тогда будет работать.

Для 5xxx и 6xxx - 15.12. Но если хочется OpenCL, тогда 15.9, а с драйвером 15.12 OpenCL на этих картах работать не будет. Хотя насчёт 6xxx не уверен: проверял только на 5850.

Разумеется, драйвер 15.12 поддерживает и более новые карты, нежели 6xxx. Например моя R9 290X работает с ним. То же самое применимо к остальным перечисленным драйверам, например 9.3 умеет работать с карточкой 3xxx

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 5)
Ответ на: комментарий от ZenitharChampion

Спокойно, товарищи

Скоро будет новый опенсорсный драйвер

Уже всерьез взелись за его написание

Открытый драйвер уже не за горами

Надо просто немного подождать и они все доделают

Локомотив AMD на всех парах мчится навстречу светлому будущему без блобов

anonymous ()